# pymltools

A comprehensive Python toolkit for analyzing feature interactions in machine learning models, combining multiple methodologies to provide deep insights into feature relationships and their impact on model behavior.

## Features

### Interaction Analysis Methods
- **SHAP Interaction Analysis**: Leverages SHAP values to detect and quantify feature interactions
- **Feature Binning Analysis**: Uses optimal binning techniques to identify non-linear relationships
- **Sensitivity Analysis**: Implements Sobol indices to measure feature interaction effects

### Key Capabilities
- Statistical significance testing for interactions
- Visualization of interaction effects
- Multiple testing correction

## Installation

```bash
pip install ml-feature-toolkit

